# Contributing to Acquia Optimize

## Getting Started

### Prerequisites
- Node.js 14+
- npm 6+
- Drupal 9+ development environment (DDEV recommended)

## Building the UI

The Acquia Optimize module includes a React-based UI for the Experience Builder integration. To build the UI:

```bash
cd ui
npm install
npm run build
```

This will compile the React components into the `ui/dist/bundle.js` file that gets loaded by Drupal.

## Development Workflow

1. Make your code changes
2. Build the UI components
3. Clear the Drupal cache with `ddev drush cr`
4. Test your changes in the Experience Builder interface

## Testing

Run PHPUnit tests:
```bash
ddev exec XDEBUG_MODE=coverage phpunit web/modules/contrib/acquia_optimize/tests
```

## Coding Standards

Follow Drupal coding standards for PHP code and React best practices for UI components.

## Submitting Changes

1. Create a feature branch from `1.x`
2. Make your changes
3. Build the UI
4. Submit a pull request

## Questions?

Contact the Acquia Optimize team for any questions about contributing.
