import React from 'react';
import { CheckIcon, DataPrivacyIcon } from '../Icons';

const DataPrivacySection = ({
  expandedSections,
  toggleSection
}) => {
  return (
    <div style={{
        width: '100%',
      }}>
      <div
        style={{
          display: 'flex',
          justifyContent: 'space-between',
          alignItems: 'center',
          padding: '15px 0',
          cursor: 'pointer',
          width: '100%',
        }}
        onClick={() => toggleSection('dataPrivacy')}
      >
        <div style={{ display: 'flex', alignItems: 'center' }}>
          <DataPrivacyIcon />
          <h3 style={{ fontSize: '18px', margin: 0, fontWeight: '500' }}>Data Privacy</h3>
        </div>

        <div style={{ display: 'flex', alignItems: 'center' }}>
          <CheckIcon />
          <span style={{ fontSize: '20px', fontWeight: 'bold', color: '#00cc00' }}>0</span>
        </div>
      </div>

      {expandedSections.dataPrivacy && (
        <div style={{ paddingLeft: '35px', width: '100%' }}>
          <div style={{ padding: '15px 0', width: '100%' }}>
            <p style={{ fontSize: '15px', color: '#555', margin: '0 0 10px 0' }}>
              No data privacy issues were detected on this page. The scan checks for:
            </p>
            <ul style={{ fontSize: '15px', color: '#555', margin: '0', paddingLeft: '20px' }}>
              <li>Insecure form submissions</li>
              <li>Missing privacy policies</li>
              <li>Potentially unsafe third-party scripts</li>
              <li>Data collection without consent</li>
            </ul>
          </div>
        </div>
      )}
    </div>
  );
};

export default DataPrivacySection;
