// SEO issues mapping
export const SEO_ISSUES_MAPPING = {
  seo_missing_title: 'Missing title',
  seo_duplicate_title: 'Title found on more than one page',
  seo_too_long_url: 'Too long URL',
  seo_missing_h1: 'Missing H1',
  seo_multiple_h1: 'Multiple H1 on page',
  seo_duplicate_h1: 'H1 found on more than one page',
  seo_missing_meta_description: 'Missing META description',
  seo_too_short_meta_description: 'Too short META description',
  seo_too_long_meta_description: 'Too long META description',
  seo_too_many_page_links: 'Too many internal links',
  seo_missing_subheadlines: 'Missing sub headings',
  seo_missing_alt: 'Images missing ALT',
  seo_no_index: 'Pages with - No index',
  seo_no_follow: 'Links with - No follow',
  seo_empty_title: 'Empty page title',
  seo_short_title: 'Title is too short',
  seo_long_title: 'Title is too long'
};

// Helper function for conditional logging
export const debugError = (debugMode, ...args) => {
  if (debugMode) {
    console.error(...args);
  }
};

// Get the dynamic module path from xbExtension settings
export const getDrupalSettings = () => {
  const { drupalSettings } = window;
  return {
    imgSrc: drupalSettings?.xbExtension?.acquiaOptimize?.imgSrc || '',
    csrfToken: drupalSettings?.csrf_token || ''
  };
};

// Function to format the date in "Mon, 25 Nov 2024" format
export const formatScanDate = () => {
  const now = new Date();
  const options = { weekday: 'short', day: 'numeric', month: 'short', year: 'numeric' };
  return now.toLocaleDateString('en-US', options);
};
